Sign in

Update Area

PUT https://{organization}.myguper.com/api/register/team/area

Atualiza uma área. Envie apenas os campos que mudam — id é obrigatório. Se parentId for incluído (mesmo como null), o CycleGuard é executado para evitar referência circular.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Request body

Content-Type: application/json

{
    "id": 2,
    "name": "Marketing Digital",                                // optional
    "parentId": 1,                                              // optional
    "description": "Marketing focado em canais digitais",       // optional
    "data": {                                                   // optional
        "color": "#0a84ff"
    }
}

Responses

{ "affectedRows": 1 }
Copied to clipboard